# Generated by Selenium IDE
import pytest
import time
import json
from selenium import webdriver
from selenium.webdriver.common.by import By
from selenium.webdriver.common.action_chains import ActionChains
from selenium.webdriver.support import expected_conditions
from selenium.webdriver.support.wait import WebDriverWait
from selenium.webdriver.common.keys import Keys
from selenium.webdriver.common.desired_capabilities import DesiredCapabilities
from selenium.webdriver.firefox.options import Options

class TestGoogleisika():
  def setup_method(self, method):
    self.vars = {}
    options = Options()
    options.add_argument("--headless")
    self.driver = webdriver.Firefox(firefox_binary="/usr/bin/firefox", options=options)

  def teardown_method(self, method):
    self.driver.quit()

  def test_googleisika(self):
    self.driver.get("https://www.google.com/")
    self.driver.set_window_size(631, 778)
    self.driver.find_element(By.ID, "APjFqb").send_keys("isika")
